Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.interfaces
Interface ConfigurableProvider

All Known Implementing Classes:
  BouncyCastleProvider

    public interface ConfigurableProvider

Implemented by the BC provider. This allows setting of hidden parameters, such as the ImplicitCA parameters from X.962, if used.

Field Summary
`static java.lang.String` | `EC_IMPLICITLY_CA`
`static java.lang.String` | `THREAD_LOCAL_EC_IMPLICITLY_CA`

Method Summary
`void` | `setParameter(java.lang.String parameterName, java.lang.Object parameter)`

Field Detail

### THREAD_LOCAL_EC_IMPLICITLY_CA

    static final java.lang.String THREAD_LOCAL_EC_IMPLICITLY_CA

See Also:
  Constant Field Values

### EC_IMPLICITLY_CA

    static final java.lang.String EC_IMPLICITLY_CA

See Also:
  Constant Field Values

Method Detail

### setParameter

    void setParameter(java.lang.String parameterName,
                      java.lang.Object parameter)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD